Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Interface PluginContainer

All Superinterfaces:
  DomainObjectCollection<Plugin>, DomainObjectContainer<Plugin>, java.lang.Iterable<Plugin>, PluginCollection<Plugin>

All Known Subinterfaces:
  ProjectPluginsContainer

    public interface PluginContainer

extends PluginCollection<Plugin>, DomainObjectContainer<Plugin>

A `PluginContainer` is used to manage a set of `Plugin` instances.

Method Summary
`Plugin` | `findPlugin(java.lang.Class<? extends Plugin> type)` Returns the plugin for the given type.
`Plugin` | `findPlugin(java.lang.String name)` Returns the plugin for the given name.
`boolean` | `hasPlugin(java.lang.Class<? extends Plugin> type)` Returns true if the container has a plugin with the given type, false otherwise.
`boolean` | `hasPlugin(java.lang.String name)` Returns true if the container has a plugin with the given name, false otherwise.

Methods inherited from interface org.gradle.api.plugins.PluginCollection
`allPlugins, allPlugins, getAt, getByName, matching, whenPluginAdded, whenPluginAdded, withType`

Methods inherited from interface org.gradle.api.DomainObjectCollection
`allObjects, allObjects, findAll, findByName, getAll, getAsMap, getByName, whenObjectAdded, whenObjectAdded, whenObjectRemoved`

Methods inherited from interface java.lang.Iterable
`iterator`

Methods inherited from interface org.gradle.api.DomainObjectContainer
`addRule, getRules`

Methods inherited from interface org.gradle.api.DomainObjectCollection
`allObjects, allObjects, findAll, findByName, getAll, getAsMap, getByName, whenObjectAdded, whenObjectAdded, whenObjectRemoved`

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### hasPlugin

    boolean hasPlugin(java.lang.String name)

  Returns true if the container has a plugin with the given name, false otherwise.

  Parameters:
    `name` - The name of the plugin

### hasPlugin

    boolean hasPlugin(java.lang.Class<? extends Plugin> type)

  Returns true if the container has a plugin with the given type, false otherwise.

  Parameters:
    `type` - The type of the plugin

### findPlugin

    Plugin findPlugin(java.lang.String name)

  Returns the plugin for the given name.

  Parameters:
    `name` - The name of the plugin
  Returns:
    the plugin or null if no plugin for the given name exists.

### findPlugin

    Plugin findPlugin(java.lang.Class<? extends Plugin> type)

  Returns the plugin for the given type.

  Parameters:
    `type` - The type of the plugin
  Returns:
    the plugin or null if no plugin for the given type exists.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD